Subject: Re: Funny: git -p submodule summary

From: Johannes Sixt <[email-masked]>
Date: Fri, 09 Jan 2009 11:09:08 +0100

Jeff King schrieb:
> Below is a patch that uses the three-process mechanism, and it fixes the
> problem. _But_ it is not satisfactory for inclusion, because it won't
> work on MINGW32. Since it is actually splitting git into two processes
> (one to monitor the pager and one to actually run git), it uses fork.

We have start_async()/finish_async() to replace a fork() of the sort that
we have here.

> IOW, I think
> the breakage you are seeing has always been broken on MINGW32.

Indeed. Hitting Ctrl-C while the pager was open has messed up the console
since day 1.

-- Hannes